is_wp_version_compatible

説明

bool is_wp_version_compatible( string $required )
WordPressバージョンの互換性を調べる。

パラメータ

  • $required
    WordPressバージョン番号を指定。

返り値

稼働しているサイトのWordPressバージョンがパラメータ$requiredで示されたバージョン以降の場合はtrueを、それ以外の場合はfalseを返す。


注意

WordPressのバージョンはグローバル変数 $wp_versionではなく、 get_bloginfo( 'version' )を使用している。


使用例

  • WordPressバージョンが5.1.0以降か調べる。
    <?php if ( is_wp_version_compatible( '5.1.0' ) ) : ?>

フィルター

直接実行するフィルターはありません。

アクション

直接実行するアクションはありません。

ソースファイル

/wp-includes/functions.php

最終更新 : 2019年05月10日 11:00



お勧め

WP_Postオブジェクトで投稿情報を直感的に使う(2012年10月4日 更新)

WordPress 3.5で登場するであろう WP_Postクラス。WordPressの投稿情報は、投稿情報本体のほか、カテゴリーや投稿タグ、カスタムフィールドなど、いくつかに分散して記録され、それぞれの情報を取得する際は、いくつかの関数をしていた。新しいWP_Postクラスにより、その習慣とおさらばできるかもしれない。

さくらのVPSでKUSANAGI#2(2018年5月27日 更新)

今回は「前回」の続き。さくらのVPS(メモリー2GB SSDプラン)でパフォーマンスをApacheのabコマンドで確認してみた。はてさて、うたい文句通りのパフォーマンスは発揮するのだろうか。

タイトルのみをキーワード検索する(2014年4月3日 更新)

WordPressのキーワード検索は、投稿タイトルと本文のどちらかに指定したキーワードが含まれているかを調べるわけだが、時々タイトルだけとか、逆に本文だけ検索したいケースがある。

Login rebuilder 2.6.0の新機能紹介(2019年4月22日 更新)

今回追加したものは、REST API / Usersの使用をログイン時のみ使用できるように制限する機能である。この機能を有効にすることで、管理者情報が漏洩するリスクを低減させる効果が期待できる。

Blacklist keys manager:プラグイン作ってみました(2015年5月22日 更新)

少し前から明らかにスパムと思われるコメントが投稿され、そのモデレーションメールを受け取る回数が増えてきた。あまりにもあからさまなコメントばかりなので、何らかの対策ができないか考えてみました。